package cn.hnthyy.thmz.service.thmz;


import cn.hnthyy.thmz.entity.thmz.User;
import cn.hnthyy.thmz.vo.UserVo;

import java.util.List;

/**
 * 门诊系统用户体系服务层
 */
public interface UserService {
    /**
     * 查询所有的用户
     * @return
     */
    List<User> queryAllUser();

    /**
     * 分页查询用户
     * @return
     */
    List<User> queryUserPage(UserVo userVo);

    /**
     * 统计用户
     *
     * @param userVo 用户查询条件
     * @return
     */
    int countUser(UserVo userVo);

    /**
     * 按照主键询员工对象
     *
     * @param id 主键
     * @return
     */
    User queryUserById(Long id);

    /**
     * 按照工号查询员工对象
     * @param userCode 工号
     * @return
     */
    User queryUserByCode(String userCode);

    /**
     * 新增用户
     * @param user
     * @return
     */
    int saveUser(User user);

    /**
     * 更新用户信息
     * @param user
     * @return
     */
    int updateUser(User user);

    /**
     * 按照员工编码查询员工对象
     * @param userIdCode 员工编码
     * @return
     */
    User queryUserByUserIdCode(String userIdCode);
}
